Eclipse Platform Release 3.7

## org.eclipse.swt.browser
Interface ProgressListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

All Known Implementing Classes:
  ProgressAdapter

    public interface ProgressListener

extends org.eclipse.swt.internal.SWTEventListener

This listener interface may be implemented in order to receive a `ProgressEvent` notification when a `Browser` makes a progress in loading the current URL or when the current URL has been loaded.

Since:
  3.0
See Also:
  `Browser.addProgressListener(ProgressListener)`, `Browser.removeProgressListener(ProgressListener)`, `Browser.getUrl()`

Method Summary
`void` `changed(ProgressEvent event)` This method is called when a progress is made during the loading of the current location.
`void` `completed(ProgressEvent event)` This method is called when the current location has been completely loaded.

Method Detail

### changed

    void changed(ProgressEvent event)

  This method is called when a progress is made during the loading of the current location.

  The following fields in the `ProgressEvent` apply:

  - (in) current the progress for the location currently being loaded
  - (in) total the maximum progress for the location currently being loaded
  - (in) widget the `Browser` whose current URL is being loaded

  Parameters:
    `event` - the `ProgressEvent` related to the loading of the current location of a `Browser`
  Since:
    3.0

### completed

    void completed(ProgressEvent event)

  This method is called when the current location has been completely loaded.

  The following fields in the `ProgressEvent` apply:

  - (in) widget the `Browser` whose current URL has been loaded

  Parameters:
    `event` - the `ProgressEvent` related to the `Browser` that has loaded its current URL.
  Since:
    3.0

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.